#!/bin/sh
# This should be done at initial booting after installation.
#
export LANAG=C

if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

cd $ROOT/

# Add user pgbash user
echo "Creating pgbash account for Postgres Admin. of pgbash user..."
useradd -g pgsql -d $ROOT/opt/pgsql  -c "Postgres Admin. for pgbash users" -s /opt/pgsql/bin/pgbash pgbash

chown -R pgbash.pgsql  etc/pgbashrc \
	opt/postgresql-7.3.4/.bash_profile \
	opt/postgresql-7.3.4/apps/utils/create_pgbash_db

chmod g+rwXs $ROOT/opt/postgresql-7.3.4/.

echo "Creating pgbash postgres user..."
# echo "Please input according to the prompt."
# su postgres -c "createuser pgbash"
/bin/su postgres -c "$ROOT/opt/postgresql-7.3.4/apps/utils/create_pgbash_db"

if ! fgrep "$ROOT/opt/pgsql/bin/pgbash" /etc/shells 1> /dev/null 2>&1; then
	echo "Adding entry $ROOT/opt/pgsql/bin/pgbash in /etc/shells."
	echo "$ROOT/opt/pgsql/bin/pgbash" >> /etc/shells
else
	echo "Entry $ROOT/opt/pgsql/bin/pgbash is already in /etc/shells."
fi


#
# ( DONOT CHANGE THE NEXT ONE LINE )
# Add PgBash Entry to Apache document index.
#
if [ -f $ROOT/opt/apache/htdocs/contents.list ]; then
  if ! fgrep "PAC_NAME" $ROOT/opt/apache/htdocs/contents.list 1> /dev/null 2>&1; then
    cat >> $ROOT/opt/apache/htdocs/contents.list <<EOL

    <P ALIGN="CENTER">
    pgbash-7.3-2.05a
    (
      <A
	HREF="http://www.psn.co.jp/PostgreSQL/pgbash/index-j.html"
      > http://www.psn.co.jp/PostgreSQL/pgbash/index-j.html </A>
    )<BR>
     (Direct PostgreSQL Bash-2.05aj)<BR>
    <A
     HREF="pgbash-7.3-2.05a/"
    >documentation</A>
    </P>
EOL
  fi
  ln -sf $ROOT/usr/doc/pgbash-7.3-2.05a $ROOT/opt/apache/htdocs/pgbash-7.3-2.05a
else
  awk '/Add PAC_NAME Entry/,EOF' $ROOT/install/doinst.sh >> /tmp/add_apache_test.sh
fi
#
